org.apache.ignite.internal.pagemem.wal.record

## Class WALRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord

Direct Known Subclasses:
  CheckpointRecord, DataRecord, MemoryRecoveryRecord, PageDeltaRecord, PageSnapshot, PartitionMetaStateRecord, StoreOperationRecord, TxRecord

    public abstract class WALRecord
    extends Object

Log entry abstract class.

### Nested Class Summary

Nested Classes
`static class` `WALRecord.RecordType` Record type.

### Constructor Summary

Constructors
Constructor and Description
`WALRecord()`

### Method Summary

Methods
`int` `chainSize()`
`void` `chainSize(int chainSize)`
`long` `position()`
`void` `position(long pos)`
`WALRecord` `previous()`
`void` `previous(WALRecord prev)`
`int` `size()`
`void` `size(int size)`
`String` `toString()`
`abstract WALRecord.RecordType` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WALRecord

    public WALRecord()

### Method Detail

#### chainSize

    public void chainSize(int chainSize)

Parameters:
  `chainSize` - Chain size in bytes.

#### chainSize

    public int chainSize()

Returns:
  Get chain size in bytes.

#### previous

    public WALRecord previous()

Returns:
  Previous record in chain.

#### previous

    public void previous(WALRecord prev)

Parameters:
  `prev` - Previous record in chain.

#### position

    public long position()

Returns:
  Position in file.

#### position

    public void position(long pos)

Parameters:
  `pos` - Position in file.

#### size

    public int size()

Returns:
  Size of this record in bytes.

#### size

    public void size(int size)

Parameters:
  `size` - Size of this record in bytes.

#### type

    public abstract WALRecord.RecordType type()

Returns:
  Entry type.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017